GET /agents/defaults
Get the default agent configs.
The account-wide default and the per-repository defaults, as config ids. Repo rungs are keyed "owner/name"; a repository this installation can no longer see is omitted.
curl "https://api.ellipsis.dev/v1/agents/defaults" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"account": "string",
"repositories": {}
}import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.agents.defaults.list()
print(result){
"account": "string",
"repositories": {}
}import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.agents.defaults.list();
console.log(result);{
"account": "string",
"repositories": {}
}No request body.
{
"properties": {
"account": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"repositories": {
"additionalProperties": {
"type": "string"
},
"default": {},
"type": "object"
}
},
"type": "object"
}